import type { PathnameNormalizer } from './pathname-normalizer';
export declare class RSCPathnameNormalizer implements PathnameNormalizer {
    private readonly hasAppDir;
    private readonly suffix;
    constructor(hasAppDir: boolean);
    match(pathname: string): boolean;
    normalize(pathname: string, matched?: boolean): string;
}
